%global python_podman_version v4.2.1
#%%global python_podman_branch v4.2.0-rhel
%global python_podman_commit0 c52201038ef5bed260b81d8d84df8b95b26fc231
%global python_podman_shortcommit0 %(c=%{python_podman_commit0}; echo ${c:0:7})

Epoch: 3
Name: python-podman
Version: 4.2.1
Release: 1%{?dist}
Summary: RESTful API for Podman
License: ASL 2.0
URL: https://github.com/containers/podman-py
%if 0%{?python_podman_branch:1}
Source0: https://github.com/containers/podman-py/archive/%{python_podman_commit0}.tar.gz
%else
Source0: %{url}/releases/download/v%{version}/podman-%{version}.tar.gz
%endif
BuildArch: noarch

%description
%{name} is a library of bindings to use the RESTful API for Podman.

%package -n python%{python3_pkgversion}-podman
BuildRequires: pyproject-rpm-macros
BuildRequires: python3-devel
BuildRequires: git-core
BuildRequires: python3-sphinx
Provides: podman-py = %{version}-%{release}
Summary: %{summary}
%{?python_provide:%python_provide python%{python3_pkgversion}-podman}

%description -n python%{python3_pkgversion}-podman
%{name} is a library of bindings to use the RESTful API for Podman.

%prep
%if 0%{?python_podman_branch:1}
%autosetup -Sgit_am -n podman-py-%{python_podman_commit0}
%else
%autosetup -Sgit_am -n podman-%{version}
%generate_buildrequires
%pyproject_buildrequires %{?with_tests:-t}
%endif

%build
export PBR_VERSION="0.0.0"
%pyproject_wheel

%install
export PBR_VERSION="0.0.0"
%pyproject_install
%pyproject_save_files podman

%check

%files -n python%{python3_pkgversion}-podman -f %{pyproject_files}
%license LICENSE
%doc README.md

%changelog
* Mon Oct 24 2022 Jindrich Novy <jnovy@redhat.com> - 3:4.2.0-1
- update to 4.2.1
- Resolves: #2136283

* Fri Oct 21 2022 Jindrich Novy <jnovy@redhat.com> - 3:4.2.0-3
- fix build
- Related: #2136283

* Thu Oct 20 2022 Jindrich Novy <jnovy@redhat.com> - 4.2.0-2
- fix "[RFE] python-podman: Podman support to perform custom actions on unhealthy containers"
- Resolves: #2136283

* Thu Aug 11 2022 Jindrich Novy <jnovy@redhat.com> - 3:4.2.0-1
- update to https://github.com/containers/podman-py/releases/tag/v4.2.0
- Related: #2061316

* Mon Feb 28 2022 Lokesh Mandvekar <lsm5@redhat.com> - 3:4.0.0-1
- bump to v4.0.0
- Related: #2000051

* Fri Oct 01 2021 Jindrich Novy <jnovy@redhat.com> - 3:3.2.1-3
- perform only sanity/installability tests for now
- Related: #2000051

* Wed Sep 29 2021 Jindrich Novy <jnovy@redhat.com> - 3:3.2.1-2
- rebuilt
- Related: #2000051

* Mon Sep 27 2021 Jindrich Novy <jnovy@redhat.com> - 3:3.2.1-1
- import to c9s
- Related: #2000051
